Page MenuHomePhabricator

Enable 'interface-editor' user group on cawikibooks
Closed, DeclinedPublic

Description

Based on the consensus reached in https://ca.wikibooks.org/wiki/Viquillibres:La_taverna#Editor%20d'interfície, please implement the user group with the following settings:

$wgGroupPermissions['editinterface']['editinterface'] = true;
$wgGroupPermissions['editinterface']['editusercss'] = true;
$wgGroupPermissions['editinterface']['edituserjs'] = true;

Thank you, --[[:ca:User:Gerardduenas]]

Event Timeline

Gerardduenas raised the priority of this task from to Needs Triage.
Gerardduenas updated the task description. (Show Details)
Gerardduenas updated the task description. (Show Details)
Gerardduenas set Security to None.
Gerardduenas updated the task description. (Show Details)
Gerardduenas added subscribers: Gerardduenas, Qgil.

Which group(s) should be able to add/remove users from editinterface group? sysops/bureaucrats/stewards?

Aklapper triaged this task as Normal priority.Jan 3 2015, 2:06 PM

Which group(s) should be able to add/remove users from editinterface group? sysops/bureaucrats/stewards?

It should be a new group.

Which group(s) should be able to add/remove users from editinterface group? sysops/bureaucrats/stewards?

It should be a new group.

What?! We usually let sysops, bureaucrats or stewards add and remove users from the editinterface group. We don't create new groups solely for that purpose.

This comment was removed by Gerardduenas.
Krenair added a subscriber: Krenair.Jan 3 2015, 4:00 PM
Gerardduenas added a comment.EditedJan 3 2015, 4:05 PM

Which group(s) should be able to add/remove users from editinterface group? sysops/bureaucrats/stewards?

It should be a new group.

What?! We usually let sysops, bureaucrats or stewards add and remove users from the editinterface group. We don't create new groups solely for that purpose.

@Glaisher: Sorry I misunderstood your question. Admins sould be able to add and remove users from the group since we don't have any bureaucrats in cawikibooks. Thanks for all

Sorry but I don't think it is a good idea to let sysops assign users to this potentially harmful group (able to insert malicious css and js). Currently, there is no wiki which lets sysops assign users to interface editor group. It's bureaucrats who assign users to this group (and stewards at wikis bureaucrats do not exist). So is it okay with the community to let stewards handle the user rights management for this group?

I also think we should call this group "interface_editor" instead of "editinterface" though there are some wikis with "editinterface" name. I think we should standardize that too (but in a separate task).

[Offtopic] For the sake of readability, please avoid quoting full previous comments. Please strip unneeded parts or quotes of quotes. Thank you.

The community has no problem in changing the name of the flag. The problem is with the bureaucrat. Few weeks ago one member of the community (he's an admin) made a request to become bureaucrat with the community's consensus, he was turned down because the community is too small, we are now discussing this here --> https://meta.wikimedia.org/wiki/User_talk:Snowolf#Denied_request . I understand your hesitation to let sysops change these rights but I think that in such a small community there is no problem. We are asking this because the most active admin doesn't know how to program at all, through this way he could grant editing permission to other users, saving him the time he spends just copypasting the code from the Mediawiki talk to the protected page.

@Glaisher: Consensus has been reached to let 'crats grant this right (and stewards at meta). We would also like to know if there is anything more to be discussed before the flag can apply.

@Glaisher: There aren't any crats now, but in case one day we are big enough to have crats, we'd like them to be able to grant this right. Like this we won't have to ask again here to give them permission to grant this right.

As stewards have declined to assign local bureaucrats, I don't think we should do it for bureaucrats yet. You can always ask in the future when local bureaucrats are there. It shouldn't really be a problem to request for modifications to user groups in the future.

Does that mean this ticket should get "stalled" status? Or "declined" for the time being?

Gerardduenas added a comment.EditedJan 5 2015, 5:57 PM

@Aklapper I've talked to Glaisher. He will submit the patch when he finds the moment. I'm not sure what stalled status means...

Aklapper lowered the priority of this task from Normal to Low.Jan 5 2015, 7:24 PM

Change 183056 had a related patch set uploaded (by Glaisher):
Create 'interface_editor' user group on cawikibooks

https://gerrit.wikimedia.org/r/183056

Patch-For-Review

Gerardduenas closed this task as Resolved.Jan 6 2015, 6:23 PM
Gerardduenas claimed this task.

Thanks for all!!

Change 183056 merged by jenkins-bot:
Create 'interface_editor' user group on cawikibooks

https://gerrit.wikimedia.org/r/183056

Glaisher reopened this task as Open.Jan 7 2015, 5:19 AM

https://gerrit.wikimedia.org/r/#/c/183085/ Sorry but it was reverted shortly after deployment. see comments at the gerrit patch..

Aklapper removed Gerardduenas as the assignee of this task.Jan 7 2015, 12:48 PM

@Glaisher can we re-submit a patch with the group name of interface-editor instead of interface_editor or we have to wait to reach a conclusion in T85731 ? Thanks

@Glaisher can we re-submit a patch with the group name of interface-editor instead of interface_editor or we have to wait to reach a conclusion in T85731 ? Thanks

I think it's better if we wait until that one is resolved. Is this really urgent?

Gerardduenas added a comment.EditedJan 9 2015, 10:15 AM

Well not really. But we don't want this to last for ages.

@Glaisher Could you try to re-submit the patch with the name changed?

Sorry for the delay. I will submit a patch once the i18n patch is done (will try to submit it today).

Due to further objections in the main task, I think it's best to wait without submitting the i18n patch yet.

Glaisher renamed this task from Enable 'interface_editor' user group on cawikibooks to Enable 'interface-editor' user group on cawikibooks.Jan 26 2015, 3:53 PM

@Glaisher I didn't know that the global Interface editor group existed. Maybe it would be easier if we would use this group...

@Glaisher I didn't know that the global Interface editor group existed. Maybe it would be easier if we would use this group...

Do you mean to add local cawikibooks editors to the global group for the purpose of just maintaining cawikibooks? If so, that is within out of scope for the global group.

gerritbot added a subscriber: gerritbot.

Change 187915 had a related patch set uploaded (by Glaisher):
Create 'interface-editor' user group on cawikibooks

https://gerrit.wikimedia.org/r/187915

Patch-For-Review

Is the community able to explain why they do not appoint administrators? Administrators have these rights already.

@Billinghurst See the comments at gerrit

Administrator is not a prized title held by users who are above others, it is a permission granted to those who need it and whom are held in high trust by the community. Editing mediawiki namespace is by far the most sensitive and trust-requiring part of the administrative toolset as the potential for abuse is immense. Is there a specific reason why cawikibooks thinks a particular user is trustworthy enough to do so but not competent enough to be trusted with the other parts of the administrative toolset?

Gerardduenas added a comment.EditedFeb 11 2015, 6:39 PM

@Snowolf from your point of view as a steward would you grant an admin flag to a user in a wiki that there is already an admin and there are only three active users? I think it's not necessary.

@Gerardduenas the standard process for stewards is to act as 'crats at small wikis to evaluate nominations and the community consensus of these nominations. This is a firm process that works and has the approval of the greater WMF community as a working process. @Snowolf's comments about mediawiki namespace are highly pertinent. How does that process not work for cawikibooks? It still gives your community the control over the approval process with stewards as acting as 'crats.

@Glaisher comments in Gerrit are less visible than comments in Phabricator which are less visible than comments on-wiki. It might be worthwhile getting the comments from Gerrit and adding them to this ticket.

I'll transfer this to the community's village pump.

@Billinghurst I was asking just in case. We don't want to happen this again.

@Gerardduenas Admin rights are very different from 'crat rights. Admins encourage the growth of a community and are the heart of our communities. Bureaucrats are not imperative to a small community, and at times a sole resident bureaucrat can be detrimental to the growth of a community.

Gerardduenas added a comment.EditedFeb 12 2015, 3:25 PM

@Snowolf,@Billinghurst: Summarising and translating what has been said in the Village Pump and on IRC: The community strongly feels that no more admins are needed and that there is no need in giving unnecessary buttons to users who won't use them because this users only want to help in the tech side, not with all the sysops jobs.
Added to all this, the community feels aggravated because they see that their consensus has no decision power at all because it gets blocked whenever it gets out of the wiki by rules they don't see written anywhere.

@Gerardduenas Editing Mediawiki ns: is one of the roles of admins. All admins never do every task so the statement about extra buttons, and the statement that no more admins seems contrary to what you are trying to achieve. The role of administrator is far broader than the front-facing deletion and discussion aspect. Many communities operate with this premise and these conditions right now.

The whole design is one made by WMF based on the broad current use, which is evident by your trying to change the "out of the box" components that exist.

Gerardduenas closed this task as Declined.Feb 17 2015, 9:19 PM
Gerardduenas claimed this task.

Ok thanks for your advice. We will follow it. @Glaisher you can abandon the patch, thanks for your help anyway.

Change 187915 abandoned by Glaisher:
Create 'interface-editor' user group on cawikibooks

Reason:
No longer needed by the community.

https://gerrit.wikimedia.org/r/187915